dnl Local additions to Autoconf macros.
dnl Copyright (C) 1992, 1994 Free Software Foundation, Inc.
dnl Francois Pinard <pinard@iro.umontreal.ca>, 1992.
dnl
dnl ported to VMS by Richard Levitte <levitte@e.kth.se>, 1993.
dnl
dnl Check for function prototypes.
dnl With ideas from Brook G. Milligan <brook@trillium.botany.utexas.edu>.
dnl
define(AC_PROTOTYPES,
[AC_COMPILE_CHECK([function prototypes],
[#ifndef __STDC__
KaBoom!
#endif], 
[extern int test (int i, double x);
struct s1 {int (*f) (int a);};
struct s2 {int (*f) (double a);};],
[AC_DEFINE(PROTOTYPES)],
[ifdef([VMS],[$ U="_"],[U=_])
AC_VERBOSE(setting U to _)]
)
AC_SUBST(U)ifdef([VMS],[$])])dnl
dnl
dnl
define(AC_VARLENGTH_ARRAYS,
[AC_CHECKING(for variable length arrays)
AC_TEST_PROGRAM(
[f (n) int n; {int array[n];}
main () {f (7); exit(0);}],
[AC_DEFINE(HAVE_VARLENGTH_ARRAYS)]
)ifdef([VMS],[$])])dnl
